Browse FAQs

SBO upgrade process failed (SBO 1.8.x to SBO 1.9.x)

Published date: 10 April 2019

Upgrade failed when upgrading Automation Server from SBO version 1.8.x to 1.9.x

Log indicate:
(Device Administrator | View | Last Upgrade Log)
ERROR:        Exception encountered during database upgrade : StartUpMode UpgradeDatabase : RecoverableException: d:\dev\rb-rb-1.9.2-system\source\server\nsp_servers\csc\LonTypes\source\Lon2MapFileUtil.cpp(185) Invalid Data Error: Invalid_Data (0x10000) in module Impex(57). "Map data is too old for type: public.lon2.devicetemplates.pid90003A8200E90401. You need to run the Lon Repair command in the latest version of workstation"
2019-04-10 07:14:02  INFORMATION:  Database upgrade time: 5.28889 seconds
2019-04-10 07:14:02  INFORMATION:  =============  End Configuration Database Upgrade  =============
Source version: 1.8.1.79 Target Version: 1.9.2.45

Stteps
1. Upgrade Workstation and Automation Server to latest available version (SBO 1.8.1.3600)
2. Connect with Workstation to Automation Server
3. Select Server, right click Advanced | Repair LonWorks configuration ...
4. Select Next to repaire when indicated "Server needs to be repaired"
5. Finally upgrade to Version 1.9 using Device Administrator

Was this helpful?

What can we do to improve the information ?

Can't find what you are looking for?

Reach out to our customer care team to receive information on technical support, assistance for complaints and more.